<?php
	// Se connecter à la bdd
	require_once('_connexion.php');


	// On récupère 50 produits
	$stmt = $dbh->prepare("
	
		SELECT *
		FROM products
		LIMIT 50
		;

	");
	

	try {
		// Exécution du sql
		$stmt->execute();
		
		// Récupération des données
		$produits = $stmt->fetchAll();
		// var_dump($produits);

		// On isole un produit au hasard
		$randomIndex = rand(0,49);
		$randomProduct = $produits[$randomIndex];

		// On l'affiche via echo : C'est ce qui sera renvoyé au js ( ajax>sucess>data )
		//		Rappel : 	via AJAX, on récupère le contenu de la page,
		//					(le html généré via le PHP et non le code php 'brut')

		// Par exemple on renvoie le contenu dans une liste à puce, mais on peut renvoyer ce qu'on veut...
?>
		<h4>Mon produit "<?= $randomProduct['productName']; ?>"</h4>
		<ul>
			<li><?= $randomProduct['productCode']; ?></li>
			<li><?= $randomProduct['productLine']; ?></li>
			<li><?= $randomProduct['productVendor']; ?></li>
			<li><?= $randomProduct['MSRP']; ?> €</li>
		</ul>
<?php

	}
	catch (PDOException $e) {
		
		// En cas d'erreur SQL, on en informe l'utilisateur
		// (AJAX OK, mais SQL KO)
		echo "Erreur lors de l'éxécution d'une requête SQL :";

		$errorInfo = $stmt->errorInfo();

		// Affiche du message d'erreur uniquement
		echo "	<div class=\"sqlError\">
					<fieldset>
						<legend>Erreur sql ¯\_(ツ)_/¯</legend>
						<div class=\"content\">" . $errorInfo[2] . "</div>
					</fieldset>
				</div>
		";

	}
?>